Bug 264813 - Amarok: podcast episode download fails when temp filename is too long [patch]
Summary: Amarok: podcast episode download fails when temp filename is too long [patch]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Podcast (show other bugs)
Version: 2.4-GIT
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-30 01:57 UTC by Frank Steinmetzger
Modified: 2011-02-01 23:34 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments
Patch for shorter temporary filenames during download (1.23 KB, patch)
2011-01-30 01:57 UTC, Frank Steinmetzger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Steinmetzger 2011-01-30 01:57:27 UTC
Created attachment 56642 [details]
Patch for shorter temporary filenames during download

Version:           2.4-GIT (using KDE 4.6.0) 
OS:                Linux

Example podcast: http://www.heise.de/developer/podcast/itunes/heise-developer-podcast-softwarearchitektour.rss
This podcast has very long URIs to the episode files (example:  http://eu-heiseonline-div.s3.amazonaws.com/softwarearchitektour-26-systemsengineering.ane.bf41f3607069e50814dcfab7fdd391f0.mp3?x-sequenz=488;x-container=;x-filename=softwarearchitektour-26-systemsengineering.ane.bf41f3607069e50814dcfab7fdd391f0.mp3)

This results in a far too long temporary filename, hence Amarok can't download the episode. I'd like to provide this small patch with a quick fix. It uses a hash of the download URI as temporary filename.

Reproducible: Always
Comment 1 Myriam Schweingruber 2011-01-31 00:32:46 UTC
Could you please submit the patch to http://git.reviewboard.kde.org? You will need to get an identity on http://identity.kde.org before that.
Comment 2 Bart Cerneels 2011-02-01 10:19:48 UTC
Git commit 9ac8e9db34d7900f8ffc0a6e504b103ba04ae8ef by Bart Cerneels.
Committed on 01/02/11 at 10:15.
Pushed by shanachie into branch 'master'.

Podcast dowwnload temporary names could be to long.

Fixed by using MD5 hash as the name instead.
Patch by Frank Steinmetzger.

BUG:264813
REVIEW:100487

M  +2    -0    ChangeLog     
M  +7    -2    src/core-impl/podcasts/sql/SqlPodcastProvider.cpp     

http://commits.kde.org/amarok/9ac8e9db34d7900f8ffc0a6e504b103ba04ae8ef